Skip to content
Trade Risk

Query account risk limit config

This interface is used to query the risk limit configuration details for a specified securities account. By providing the account number account_no and an optional limit code limit_code for precise querying, it returns the limit configurations for the account, including the limit name, type (quantity or amount), rejection operator, and rejection threshold.

GEThttps://b-api.longbridge.xyz/v1/whaleapi/asset/query_account_risk_limit_config

Authorization

AuthorizationstringheaderRequired

Send the Broker ACCESS_TOKEN as Authorization: Bearer <token>.

Parameters

account_nostringRequired

Account NO Eg:L6VQEU00121996

limit_codestringOptional

Responses

HTTP 200Fields are taken from the real responses definition for this operation in the published Whale OpenAPI spec (whale-openapi/Whale-openapi.json).
dataobject

data

Child attributes
limitsobjectrequired

limits

Child attributes
CSHBobjectrequired

Limited Code. Limited Code

Child attributes
namestringrequired

Limited Name. Limited Name

limit_typestringrequired

Limited Type. Limited Type

reject_operatorstringrequired

Rejected Operator. Rejected Operator

reject_limitstringrequired

Rejected Limit. Rejected Limit

currencystringrequired

Currency. Currency

HTTP 400Bad request. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 401The user is not authenticated, or the login session has expired.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 403The current account is not authorized to use this feature. Grant the required permission to the account in User Permission.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 408The request timed out. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

Whale Docs